flipx(1)

NAME
flipx - Flip x axis in a FITS image

SYNOPSIS
flipx <input images>

DESCRIPTION

This is an example use of the qfits library. This program expects a list of FITS file names in input. For each input file, it will flip the image contained in the main data section in the X direction, i.e. pixel (i,j) is swapped with pixel (lx-i, j).

The pixel loading mechanism is independent from endian-ness of the local host or FITS pixel type. This program offers a good overview of how to use qfits for pixel-level operations.

OPTIONS
None.

FILES

Input files shall all comply with FITS format.

BUGS

Notice that this program does not support cubes or image extensions, but could be easily extended to support that case.